// package main is the main package for the LapisDeploy program
package main

import (
	"fmt"
)

// DeployError contains important information about an error if something went wrong.
type DeployError struct {
	code int
	where string
	details string
	command_output string
}

// SendOverMatrix provides an easy way to send the contents of a DeployError over Matrix
func (deploy_error *DeployError) SendOverMatrix() {
	sendMessage(MatrixMessage{text: fmt.Sprintf("🔴 **Error in **`%s`**!**\n- *%s*\n- Code: %d",
		deploy_error.where, deploy_error.details, deploy_error.code),
	})
}

// newDeployError creates a DeployError 
func newDeployError(code int, where string, details string, command_output string) DeployError {
	return DeployError{ code: code, where: where, details: details, command_output: command_output }
}

